## binkd 0.9.2

=== mkfls/amiga/Makefile ===
#
CC=gcc
DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DOS="\"Amiga\"" -DHAVE_WAITPID
CFLAGS=$(DEFINES) -Wall -resident -O
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c
OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o
all: binkd
.c.o:
	$(CC) -c $(CFLAGS) $*.c
binkd: $(OBJS)
	$(CC) $(CFLAGS) -o binkd $(OBJS)
install: all clean
clean:
	rm -f *.[bo] *.BAK *.core *.obj *.err *~ core
depend Makefile.dep:   Makefile
	  $(CC) -MM $(CFLAGS) $(SRCS) $(SYS) | \
	      awk '{ if ($$1 != prev) { if (rec != "") print rec; \
		  rec = $$0; prev = $$1; } \
		  else { if (length(rec $$2) > 78) { print rec; rec = $$0; } \
		  else rec = rec " " $$2 } } \
		  END { print rec }' | tee Makefile.dep
rename.o:
	$(CC) -c $(CFLAGS) amiga/rename.c
getfree.o:
	$(CC) -c $(CFLAGS) amiga/getfree.c
sem.o:
	$(CC) -c $(CFLAGS) amiga/sem.c
include Makefile.dep

=== mkfls/os2-emx/Makefile ===
#
CC=gcc
DEFINES=-DHAVE_FORK -DHAVE_SNPRINTF -DHAVE_UNISTD -DOS2 -DHAVE_IO_H -DEMX -DEMXSIGNALS -DHAVE_UNAME
CFLAGS=$(DEFINES) -Wall -Zcrtdll
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2\gettid.c os2\sem.c  ftndom.c ftnnode.c os2\getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c
OBJS=${SRCS:.c=.o}

all: binkd.exe

.c.o:
	$(CC) -c $(CFLAGS) -o $*.o $*.c

binkd.exe: $(OBJS)
	$(CC) -o binkd.exe -Zcrtdll $(OBJS) -lsocket /emx/lib/socket.a

install: all clean

clean:
	-del /n *.RES *.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

depend	Makefile.dep:
	gcc -MM $(CFLAGS) $(SRCS) | tee Makefile.dep

include Makefile.dep

=== mkfls/os2-wc/Makefile ===
# from "Pavel Gulchouck" <gul@lucky.carrier.kiev.ua>

.SUFFIXES:
.SUFFIXES: .res .rc .lst .obj .c .asm .hlp .itl .ipf .cpp

CC         = wcc386 -D_Optlink=
PP         = wpp386 -D_Optlink=

AFLAGS  = /Mx -t -z
ASM     = ml /c /Zm
LFLAGS  = /bm /k64k
CFLAGS  = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP /w4 /ox /bm
LINK    = wcl386
SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c
OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj

.c.obj:
	$(CC) $(CFLAGS) $*.c

all: binkd.exe .SYMBOLIC

binkd.obj:    binkd.c       .AUTODEPEND
readcfg.obj:  readcfg.c     .AUTODEPEND
tools.obj:    tools.c       .AUTODEPEND
ftnaddr.obj:  ftnaddr.c     .AUTODEPEND
ftnq.obj:     ftnq.c        .AUTODEPEND
client.obj:   client.c      .AUTODEPEND
server.obj:   server.c      .AUTODEPEND
protocol.obj: protocol.c    .AUTODEPEND
bsy.obj:      bsy.c         .AUTODEPEND
inbound.obj:  inbound.c     .AUTODEPEND
breaksig.obj: breaksig.c    .AUTODEPEND
branch.obj:   branch.c      .AUTODEPEND
gettid.obj:   os2\gettid.c  .AUTODEPEND
sem.obj:      os2\sem.c     .AUTODEPEND
ftndom.obj:   ftndom.c      .AUTODEPEND
ftnnode.obj:  ftnnode.c     .AUTODEPEND
getfree.obj:  os2\getfree.c .AUTODEPEND
srif.obj:     srif.c        .AUTODEPEND
pmatch.obj:   pmatch.c      .AUTODEPEND
readflo.obj:  readflo.c     .AUTODEPEND
prothlp.obj:  prothlp.c     .AUTODEPEND
iptools.obj:  iptools.c     .AUTODEPEND
run.obj:      run.c         .AUTODEPEND
tcperr.obj:   os2\tcperr.c  .AUTODEPEND

gettid.obj: os2\gettid.c
	$(CC) $(CFLAGS) os2\gettid.c
tcperr.obj: os2\tcperr.c
	$(CC) $(CFLAGS) os2\tcperr.c
sem.obj: os2\sem.c
	$(CC) $(CFLAGS) os2\sem.c
getfree.obj: os2\getfree.c
	$(CC) $(CFLAGS) os2\getfree.c

binkd.exe: $(OBJS)
	$(LINK) $(LFLAGS) /fe=$@ $(OBJS) so32dll.lib tcp32dll.lib

clean:  .SYMBOLIC
	-del /n *.RES *.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

## binkd 0.9.3

=== mkfls/amiga/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 CC=gcc
 DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DOS="\"Amiga\"" -DHAVE_WAITPID
 CFLAGS=$(DEFINES) -Wall -resident -O
-SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c
-OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o
+SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c xalloc.c setpttl.c
+OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o xalloc.o setpttl.o
 all: binkd
 .c.o:
 	$(CC) -c $(CFLAGS) $*.c

=== mkfls/os2-emx/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CC=gcc
 DEFINES=-DHAVE_FORK -DHAVE_SNPRINTF -DHAVE_UNISTD -DOS2 -DHAVE_IO_H -DEMX -DEMXSIGNALS -DHAVE_UNAME
 CFLAGS=$(DEFINES) -Wall -Zcrtdll
-SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2\gettid.c os2\sem.c  ftndom.c ftnnode.c os2\getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c
+SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2\gettid.c os2\sem.c  ftndom.c ftnnode.c os2\getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c xalloc.c setpttl.c
 OBJS=${SRCS:.c=.o}
 
 all: binkd.exe

=== mkfls/os2-wc/Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 LFLAGS  = /bm /k64k
 CFLAGS  = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP /w4 /ox /bm
 LINK    = wcl386
-SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c
-OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj
+SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c   xalloc.c   setpttl.c
+OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj xalloc.obj setpttl.obj
 
 .c.obj:
 	$(CC) $(CFLAGS) $*.c

## binkd 0.9.5a

=== mkfls/amiga/Makefile ===
# $Id: Makefile,v 2.1 2001/02/15 11:03:19 gul Exp $
#
CC=gcc
DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DOS="\"Amiga\"" -DHAVE_WAITPID
CFLAGS=$(DEFINES) -Wall -resident -O
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c
OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o xalloc.o setpttl.o https.o md5b.o crypt.o
all: binkd
.c.o:
	$(CC) -c $(CFLAGS) $*.c
binkd: $(OBJS)
	$(CC) $(CFLAGS) -o binkd $(OBJS)
install: all clean
clean:
	rm -f *.[bo] *.BAK *.core *.obj *.err *~ core
depend Makefile.dep:   Makefile
	  $(CC) -MM $(CFLAGS) $(SRCS) $(SYS) | \
	      awk '{ if ($$1 != prev) { if (rec != "") print rec; \
		  rec = $$0; prev = $$1; } \
		  else { if (length(rec $$2) > 78) { print rec; rec = $$0; } \
		  else rec = rec " " $$2 } } \
		  END { print rec }' | tee Makefile.dep
rename.o:
	$(CC) -c $(CFLAGS) amiga/rename.c
getfree.o:
	$(CC) -c $(CFLAGS) amiga/getfree.c
sem.o:
	$(CC) -c $(CFLAGS) amiga/sem.c
include Makefile.dep

=== mkfls/dos-msc6/Makefile ===
#
CC=cl
DEFINES=-DHAVE_THREADS -DDOS -D__MSC__ -DHAVE_IO_H -DIBMTCPIPDOS -DVOID_SLEEP -DHAVE_ARPA_INET_H -DHTTPS -DPROTOTYPES=1
CFLAGS=$(DEFINES) /AL /G2 /W3 /c /nologo
#LFLAGS=/AL /F AF00
#LFLAGS=/AL /F 9840 /nologo
LFLAGS=/AL /F 9700 /nologo

SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c dos\sem.c  ftndom.c ftnnode.c dos\getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c dos\tcperr.c dos\dirent.c dos\sleep.c xalloc.c setpttl.c https.c md5b.c crypt.c
OBJS=$(SRCS:.c=.obj)
LIBS=/link /bat /inf socketl.lib

all: binkd.exe

.c.obj:
#	$(CC) $(CFLAGS) /Fo$@ $<
#	$(CC) $(CFLAGS) /Fo$*.obj $*.c
	@set CL=$(CFLAGS)
	@$(CC) /Fo$*.obj $*.c

binkd.exe: $(OBJS)
#	$(CC) $(LFLAGS) /Febinkd.exe $(OBJS) $(LIBS)
	$(CC) $(LFLAGS) /Febinkd.exe *.obj dos\*.obj $(LIBS)

install: all clean

clean:
	-del /n *.RES dos\*.obj *.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

#include Makefile.dep

=== mkfls/nt95-msvc/Makefile ===
# Microsoft Developer Studio Generated NMAKE File, Based on binkd.dsp
# $Id: Makefile,v 2.1 2001/02/15 11:03:19 gul Exp $
!IF "$(CFG)" == ""
CFG=binkd - Win32 Release
!MESSAGE No configuration specified. Defaulting to binkd - Win32 Release.
!ENDIF 

!IF "$(CFG)" != "binkd - Win32 Debug" && "$(CFG)" != "binkd - Win32 Release"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE CFG="binkd - Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "binkd - Win32 Debug"   
!MESSAGE "binkd - Win32 Release" (default)
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!IF  "$(CFG)" == "binkd - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug
# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

ALL : "$(OUTDIR)\binkd.exe" "$(OUTDIR)\binkd.bsc"


CLEAN :
	-@erase "$(INTDIR)\service.obj"
	-@erase "$(INTDIR)\https.obj"
	-@erase "$(INTDIR)\BINKD.OBJ"
	-@erase "$(INTDIR)\BINKD.SBR"
	-@erase "$(INTDIR)\binlog.obj"
	-@erase "$(INTDIR)\binlog.sbr"
	-@erase "$(INTDIR)\branch.obj"
	-@erase "$(INTDIR)\branch.sbr"
	-@erase "$(INTDIR)\breaksig.obj"
	-@erase "$(INTDIR)\breaksig.sbr"
	-@erase "$(INTDIR)\BSY.OBJ"
	-@erase "$(INTDIR)\BSY.SBR"
	-@erase "$(INTDIR)\CLIENT.OBJ"
	-@erase "$(INTDIR)\CLIENT.SBR"
	-@erase "$(INTDIR)\dirwin32.obj"
	-@erase "$(INTDIR)\dirwin32.sbr"
	-@erase "$(INTDIR)\exitproc.obj"
	-@erase "$(INTDIR)\exitproc.sbr"
	-@erase "$(INTDIR)\FTNADDR.OBJ"
	-@erase "$(INTDIR)\FTNADDR.SBR"
	-@erase "$(INTDIR)\ftndom.obj"
	-@erase "$(INTDIR)\ftndom.sbr"
	-@erase "$(INTDIR)\ftnnode.obj"
	-@erase "$(INTDIR)\ftnnode.sbr"
	-@erase "$(INTDIR)\FTNQ.OBJ"
	-@erase "$(INTDIR)\FTNQ.SBR"
	-@erase "$(INTDIR)\getfree.obj"
	-@erase "$(INTDIR)\getfree.sbr"
	-@erase "$(INTDIR)\getw.obj"
	-@erase "$(INTDIR)\getw.sbr"
	-@erase "$(INTDIR)\INBOUND.OBJ"
	-@erase "$(INTDIR)\INBOUND.SBR"
	-@erase "$(INTDIR)\iptools.obj"
	-@erase "$(INTDIR)\iptools.sbr"
	-@erase "$(INTDIR)\pmatch.obj"
	-@erase "$(INTDIR)\pmatch.sbr"
	-@erase "$(INTDIR)\prothlp.obj"
	-@erase "$(INTDIR)\prothlp.sbr"
	-@erase "$(INTDIR)\PROTOCOL.OBJ"
	-@erase "$(INTDIR)\PROTOCOL.SBR"
	-@erase "$(INTDIR)\READCFG.OBJ"
	-@erase "$(INTDIR)\READCFG.SBR"
	-@erase "$(INTDIR)\readflo.obj"
	-@erase "$(INTDIR)\readflo.sbr"
	-@erase "$(INTDIR)\run.obj"
	-@erase "$(INTDIR)\run.sbr"
	-@erase "$(INTDIR)\sem.obj"
	-@erase "$(INTDIR)\sem.sbr"
	-@erase "$(INTDIR)\SERVER.OBJ"
	-@erase "$(INTDIR)\SERVER.SBR"
	-@erase "$(INTDIR)\setpttl.obj"
	-@erase "$(INTDIR)\setpttl.sbr"
	-@erase "$(INTDIR)\srif.obj"
	-@erase "$(INTDIR)\srif.sbr"
	-@erase "$(INTDIR)\TCPErr.obj"
	-@erase "$(INTDIR)\TCPErr.sbr"
	-@erase "$(INTDIR)\TOOLS.OBJ"
	-@erase "$(INTDIR)\TOOLS.SBR"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(INTDIR)\WSock.obj"
	-@erase "$(INTDIR)\WSock.sbr"
	-@erase "$(INTDIR)\xalloc.obj"
	-@erase "$(INTDIR)\xalloc.sbr"
	-@erase "$(OUTDIR)\binkd.bsc"
	-@erase "$(OUTDIR)\binkd.exe"
	-@erase "$(OUTDIR)\binkd.ilk"
	-@erase "$(OUTDIR)\binkd.map"
	-@erase "$(OUTDIR)\binkd.pdb"
	-@erase "$(INTDIR)\md5b.obj"
	-@erase "$(INTDIR)\crypt.obj"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "HTTPS" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "HAVE_THREADS" /D "HAVE_IO_H" /D "VISUALCPP" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\binkd.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\binkd.bsc" 
BSC32_SBRS= \
	"$(INTDIR)\BINKD.SBR" \
	"$(INTDIR)\binlog.sbr" \
	"$(INTDIR)\branch.sbr" \
	"$(INTDIR)\breaksig.sbr" \
	"$(INTDIR)\BSY.SBR" \
	"$(INTDIR)\CLIENT.SBR" \
	"$(INTDIR)\dirwin32.sbr" \
	"$(INTDIR)\exitproc.sbr" \
	"$(INTDIR)\FTNADDR.SBR" \
	"$(INTDIR)\ftndom.sbr" \
	"$(INTDIR)\ftnnode.sbr" \
	"$(INTDIR)\FTNQ.SBR" \
	"$(INTDIR)\getfree.sbr" \
	"$(INTDIR)\getw.sbr" \
	"$(INTDIR)\INBOUND.SBR" \
	"$(INTDIR)\iptools.sbr" \
	"$(INTDIR)\pmatch.sbr" \
	"$(INTDIR)\prothlp.sbr" \
	"$(INTDIR)\PROTOCOL.SBR" \
	"$(INTDIR)\READCFG.SBR" \
	"$(INTDIR)\readflo.sbr" \
	"$(INTDIR)\run.sbr" \
	"$(INTDIR)\sem.sbr" \
	"$(INTDIR)\SERVER.SBR" \
	"$(INTDIR)\setpttl.sbr" \
	"$(INTDIR)\srif.sbr" \
	"$(INTDIR)\TCPErr.sbr" \
	"$(INTDIR)\TOOLS.SBR" \
	"$(INTDIR)\WSock.sbr" \
	"$(INTDIR)\xalloc.sbr"

"$(OUTDIR)\binkd.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\binkd.pdb" /map:"$(INTDIR)\binkd.map" /debug /machine:I386 /out:"$(OUTDIR)\binkd.exe" 
LINK32_OBJS= \
	"$(INTDIR)\service.obj" \
	"$(INTDIR)\https.obj" \
	"$(INTDIR)\BINKD.OBJ" \
	"$(INTDIR)\binlog.obj" \
	"$(INTDIR)\branch.obj" \
	"$(INTDIR)\breaksig.obj" \
	"$(INTDIR)\BSY.OBJ" \
	"$(INTDIR)\CLIENT.OBJ" \
	"$(INTDIR)\dirwin32.obj" \
	"$(INTDIR)\exitproc.obj" \
	"$(INTDIR)\FTNADDR.OBJ" \
	"$(INTDIR)\ftndom.obj" \
	"$(INTDIR)\ftnnode.obj" \
	"$(INTDIR)\FTNQ.OBJ" \
	"$(INTDIR)\getfree.obj" \
	"$(INTDIR)\getw.obj" \
	"$(INTDIR)\INBOUND.OBJ" \
	"$(INTDIR)\iptools.obj" \
	"$(INTDIR)\pmatch.obj" \
	"$(INTDIR)\prothlp.obj" \
	"$(INTDIR)\PROTOCOL.OBJ" \
	"$(INTDIR)\READCFG.OBJ" \
	"$(INTDIR)\readflo.obj" \
	"$(INTDIR)\run.obj" \
	"$(INTDIR)\sem.obj" \
	"$(INTDIR)\SERVER.OBJ" \
	"$(INTDIR)\setpttl.obj" \
	"$(INTDIR)\srif.obj" \
	"$(INTDIR)\TCPErr.obj" \
	"$(INTDIR)\TOOLS.OBJ" \
	"$(INTDIR)\WSock.obj" \
	"$(INTDIR)\md5b.obj" \
	"$(INTDIR)\crypt.obj" \
	"$(INTDIR)\xalloc.obj"

"$(OUTDIR)\binkd.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "binkd - Win32 Release"

OUTDIR=.\Release
INTDIR=.\Release
# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

ALL : "$(OUTDIR)\binkd.exe"


CLEAN :
	-@erase "$(INTDIR)\service.obj"
	-@erase "$(INTDIR)\https.obj"
	-@erase "$(INTDIR)\BINKD.OBJ"
	-@erase "$(INTDIR)\binlog.obj"
	-@erase "$(INTDIR)\branch.obj"
	-@erase "$(INTDIR)\breaksig.obj"
	-@erase "$(INTDIR)\BSY.OBJ"
	-@erase "$(INTDIR)\CLIENT.OBJ"
	-@erase "$(INTDIR)\dirwin32.obj"
	-@erase "$(INTDIR)\exitproc.obj"
	-@erase "$(INTDIR)\FTNADDR.OBJ"
	-@erase "$(INTDIR)\ftndom.obj"
	-@erase "$(INTDIR)\ftnnode.obj"
	-@erase "$(INTDIR)\FTNQ.OBJ"
	-@erase "$(INTDIR)\getfree.obj"
	-@erase "$(INTDIR)\getw.obj"
	-@erase "$(INTDIR)\INBOUND.OBJ"
	-@erase "$(INTDIR)\iptools.obj"
	-@erase "$(INTDIR)\pmatch.obj"
	-@erase "$(INTDIR)\prothlp.obj"
	-@erase "$(INTDIR)\PROTOCOL.OBJ"
	-@erase "$(INTDIR)\READCFG.OBJ"
	-@erase "$(INTDIR)\readflo.obj"
	-@erase "$(INTDIR)\run.obj"
	-@erase "$(INTDIR)\sem.obj"
	-@erase "$(INTDIR)\SERVER.OBJ"
	-@erase "$(INTDIR)\setpttl.obj"
	-@erase "$(INTDIR)\srif.obj"
	-@erase "$(INTDIR)\TCPErr.obj"
	-@erase "$(INTDIR)\TOOLS.OBJ"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(INTDIR)\WSock.obj"
	-@erase "$(INTDIR)\xalloc.obj"
	-@erase "$(OUTDIR)\binkd.exe"
	-@erase "$(OUTDIR)\binkd.ilk"
	-@erase "$(INTDIR)\md5b.obj"
	-@erase "$(INTDIR)\crypt.obj"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MT /W3 /GX /Ox /D "HTTPS" /D "WIN32" /D "_CONSOLE" /D "HAVE_THREADS" /D "HAVE_IO_H" /D "VISUALCPP" /Fp"$(INTDIR)\binkd.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\binkd.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib /nologo /subsystem:console /pdb:"$(OUTDIR)\binkd.pdb" /machine:I386 /out:"$(OUTDIR)\binkd.exe" 
LINK32_OBJS= \
	"$(INTDIR)\service.obj" \
	"$(INTDIR)\https.obj" \
	"$(INTDIR)\BINKD.OBJ" \
	"$(INTDIR)\binlog.obj" \
	"$(INTDIR)\branch.obj" \
	"$(INTDIR)\breaksig.obj" \
	"$(INTDIR)\BSY.OBJ" \
	"$(INTDIR)\CLIENT.OBJ" \
	"$(INTDIR)\dirwin32.obj" \
	"$(INTDIR)\exitproc.obj" \
	"$(INTDIR)\FTNADDR.OBJ" \
	"$(INTDIR)\ftndom.obj" \
	"$(INTDIR)\ftnnode.obj" \
	"$(INTDIR)\FTNQ.OBJ" \
	"$(INTDIR)\getfree.obj" \
	"$(INTDIR)\getw.obj" \
	"$(INTDIR)\INBOUND.OBJ" \
	"$(INTDIR)\iptools.obj" \
	"$(INTDIR)\pmatch.obj" \
	"$(INTDIR)\prothlp.obj" \
	"$(INTDIR)\PROTOCOL.OBJ" \
	"$(INTDIR)\READCFG.OBJ" \
	"$(INTDIR)\readflo.obj" \
	"$(INTDIR)\run.obj" \
	"$(INTDIR)\sem.obj" \
	"$(INTDIR)\SERVER.OBJ" \
	"$(INTDIR)\setpttl.obj" \
	"$(INTDIR)\srif.obj" \
	"$(INTDIR)\TCPErr.obj" \
	"$(INTDIR)\TOOLS.OBJ" \
	"$(INTDIR)\WSock.obj" \
	"$(INTDIR)\md5b.obj" \
	"$(INTDIR)\crypt.obj" \
	"$(INTDIR)\xalloc.obj"

"$(OUTDIR)\binkd.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("Makefile.dep")
!INCLUDE "Makefile.dep"
!ELSE 
!MESSAGE Warning: cannot find "Makefile.dep"
!ENDIF 
!ENDIF 


!IF "$(CFG)" == "binkd - Win32 Debug" || "$(CFG)" == "binkd - Win32 Release"
SOURCE=.\BINKD.C

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\BINKD.OBJ"	"$(INTDIR)\BINKD.SBR" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\BINKD.OBJ" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\binlog.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\binlog.obj"	"$(INTDIR)\binlog.sbr" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\binlog.obj" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\branch.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\branch.obj"	"$(INTDIR)\branch.sbr" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\branch.obj" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\nt\breaksig.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\breaksig.obj"	"$(INTDIR)\breaksig.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\breaksig.obj" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


!ENDIF 

SOURCE=.\BSY.C

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\BSY.OBJ"	"$(INTDIR)\BSY.SBR" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\BSY.OBJ" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\CLIENT.C

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\CLIENT.OBJ"	"$(INTDIR)\CLIENT.SBR" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\CLIENT.OBJ" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\nt\dirwin32.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\dirwin32.obj"	"$(INTDIR)\dirwin32.sbr" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\dirwin32.obj" : $(SOURCE) "$(INTDIR)"
	$(CPP) $(CPP_PROJ) $(SOURCE)


!ENDIF 

SOURCE=.\exitproc.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\exitproc.obj"	"$(INTDIR)\exitproc.sbr" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\exitproc.obj" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\FTNADDR.C

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\FTNADDR.OBJ"	"$(INTDIR)\FTNADDR.SBR" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\FTNADDR.OBJ" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\ftndom.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\ftndom.obj"	"$(INTDIR)\ftndom.sbr" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "binkd - Win32 Release"


"$(INTDIR)\ftndom.obj" : $(SOURCE) "$(INTDIR)"


!ENDIF 

SOURCE=.\ftnnode.c

!IF  "$(CFG)" == "binkd - Win32 Debug"


"$(INTDIR)\ftnnode.obj"	"$(INTDIR)\ftnnode.sbr" : $(SOURCE) "$(INTDIR)"

=== mkfls/os2-emx/Makefile ===
# $Id: Makefile,v 2.2 2001/02/15 15:25:51 gul Exp $
#
CC=gcc
DEFINES=-DHAVE_FORK -DHAVE_SNPRINTF -DHAVE_UNISTD -DOS2 -DHAVE_IO_H -DHAVE_ARPA_INET_H -DEMX -DEMXSIGNALS -DHAVE_WAITPID -DHTTPS
CFLAGS=$(DEFINES) -Wall -Zcrtdll -funsigned-char -Wno-char-subscripts
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2/gettid.c os2/sem.c  ftndom.c ftnnode.c os2/getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c
OBJS=${SRCS:.c=.o}

all: binkd.exe

.c.o:
	$(CC) -c $(CFLAGS) -o $*.o $*.c

binkd.exe: $(OBJS)
	$(CC) -o binkd.exe -Zcrtdll $(OBJS) -lsocket

install: all clean

clean:
	-del /n *.RES *.obj *.o os2\*.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

depend	Makefile.dep:
	gcc -MM $(CFLAGS) $(SRCS) | tee Makefile.dep

include Makefile.dep

=== mkfls/os2-icc/Makefile ===
#
CC=icc
DEFINES=-DHAVE_THREADS -DOS2 -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP -DHTTPS
CFLAGS=$(DEFINES) /Gm+ /Q /c /Ss
LFLAGS=$(DEFINES) /Gm+ /Q /B"/noi /pm:vio /st:64000"

SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2\gettid.c os2\sem.c  ftndom.c ftnnode.c os2\getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c os2\tcperr.c os2\dirent.c xalloc.c setpttl.c https.c md5b.c crypt.c
OBJS=$(SRCS:.c=.obj)
LIBS=so32dll.LIB tcp32dll.LIB os2386.lib

all: binkd.exe

.c.obj:
#	$(CC) $(CFLAGS) /Fo$@ $<
	$(CC) $(CFLAGS) /Fo$*.obj $*.c

binkd.exe: $(OBJS)
	$(CC) $(LFLAGS) /Febinkd.exe $(OBJS) $(LIBS)

install: all clean

clean:
	-del /n *.RES os2\*.obj *.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

#include Makefile.dep

=== mkfls/os2-wc/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-# from "Pavel Gulchouck" <gul@lucky.carrier.kiev.ua>
+# from "Pavel Gulchouck" <gul@gul.kiev.ua>
+# $Id: Makefile,v 2.1 2001/02/15 11:03:19 gul Exp $
 
 .SUFFIXES:
 .SUFFIXES: .res .rc .lst .obj .c .asm .hlp .itl .ipf .cpp
@@ -8,11 +9,11 @@
 
 AFLAGS  = /Mx -t -z
 ASM     = ml /c /Zm
-LFLAGS  = /bm /k64k
-CFLAGS  = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP /w4 /ox /bm
+LFLAGS  = /bm /k1024k
+CFLAGS  = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_SNPRINTF -Dsnprintf=_bprintf -Dvsnprintf=_vbprintf -DIBMTCPIP -DVOID_SLEEP -DHTTPS /w4 /ox /bm # -DWATCOMC_CLOSEDIR_BUG
 LINK    = wcl386
-SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c   xalloc.c   setpttl.c
-OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj xalloc.obj setpttl.obj
+SRCS=binkd.c   readcfg.c   tools.c   ftnaddr.c   ftnq.c   client.c   server.c   protocol.c   bsy.c   os2\gettid.c os2\tcperr.c inbound.c   os2\sem.c breaksig.c   branch.c   ftndom.c   ftnnode.c   getfree.c   srif.c   pmatch.c   readflo.c   prothlp.c   iptools.c   run.c   binlog.c   exitproc.c   getw.c   xalloc.c   setpttl.c   https.c   md5b.c   crypt.c
+OBJS=binkd.obj readcfg.obj tools.obj ftnaddr.obj ftnq.obj client.obj server.obj protocol.obj bsy.obj gettid.obj   tcperr.obj   inbound.obj sem.obj   breaksig.obj branch.obj ftndom.obj ftnnode.obj getfree.obj srif.obj pmatch.obj readflo.obj prothlp.obj iptools.obj run.obj binlog.obj exitproc.obj getw.obj xalloc.obj setpttl.obj https.obj md5b.obj crypt.obj
 
 .c.obj:
 	$(CC) $(CFLAGS) $*.c
@@ -42,6 +43,9 @@
 prothlp.obj:  prothlp.c     .AUTODEPEND
 iptools.obj:  iptools.c     .AUTODEPEND
 run.obj:      run.c         .AUTODEPEND
+https.obj:    https.c       .AUTODEPEND
+md5.obj:      md5.c         .AUTODEPEND
+crypt.obj:    crypt.c       .AUTODEPEND
 tcperr.obj:   os2\tcperr.c  .AUTODEPEND
 
 gettid.obj: os2\gettid.c
@@ -57,4 +61,4 @@
 	$(LINK) $(LFLAGS) /fe=$@ $(OBJS) so32dll.lib tcp32dll.lib
 
 clean:  .SYMBOLIC
-	-del /n *.RES *.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul
+	-del /n *.RES *.obj os2\*.obj *.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

## binkd 0.9.8

=== mkfls/amiga/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile,v 2.1 2001/02/15 11:03:19 gul Exp $
+# $Id: Makefile,v 2.3 2003/03/01 18:46:05 gul Exp $
 #
 CC=gcc
-DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DOS="\"Amiga\"" -DHAVE_WAITPID
+DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_UNISTD_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_IOCTL_H -DOS="\"Amiga\"" -DHAVE_WAITPID -DHTTPS -DAMIGADOS_4D_OUTBOUND
 CFLAGS=$(DEFINES) -Wall -resident -O
 SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c amiga/sem.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c
 OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o run.o binlog.o sem.o       exitproc.o getw.o xalloc.o setpttl.o https.o md5b.o crypt.o

=== mkfls/nt95-mingw/Makefile ===
# $Id: Makefile,v 2.14.2.2 2003/08/28 06:23:55 hbrew Exp $
#
ifeq ($(OSTYPE),msys)
SHELL=sh
else
SHELL=bash
endif

ifdef BINKD9X
BINKD9X_SRC=nt/win9x.c
BINKD9X_DEFINES=-DBINKDW9X
BINKD9X_SUBSYSTEM=-Wl,--subsystem,windows
BINKDEXE=binkd9x-mingw.exe
else
BINKDEXE=binkd-mingw.exe
NT_SERVICE=nt/service.c
endif

CC=gcc
DEFINES=-DHAVE_THREADS -DHAVE_SNPRINTF -DHAVE_UNISTD -DWIN32 -DHAVE_IO_H -DHAVE_DOS_H -DHAVE_WAITPID -DHTTPS -DNTLM -DAMIGADOS_4D_OUTBOUND
CFLAGS=$(DEFINES) $(BINKD9X_DEFINES) -mno-cygwin -mthreads -Wall -funsigned-char -Wno-char-subscripts
NTLM_SRC=ntlm/des_enc.c ntlm/helpers.c ntlm/ecb_enc.c ntlm/md4_dgst.c ntlm/set_key.c
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c branch.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c nt/breaksig.c nt/getfree.c nt/sem.c nt/TCPErr.c nt/WSock.c $(NT_SERVICE) $(NTLM_SRC) $(BINKD9X_SRC)
OBJS=${SRCS:.c=.o}

ifdef DEBUG
CFLAGS+= -g
else
CFLAGS+= -s -O2
endif

all: $(BINKDEXE)

.c.o:
	@echo Compiling $*.c...
	@$(CC) -c $(CFLAGS) -o $*.o $*.c

$(BINKDEXE): $(OBJS)
	@echo Linking $(BINKDEXE)...
	@$(CC) $(BINKD9X_SUBSYSTEM) $(CFLAGS) -o $(BINKDEXE) $(OBJS) -lwsock32

install: all clean

html: binkd.html

binkd.html: binkd.8
	groff -Thtml -mman binkd.8 >binkd.html

clean:
	-del *.RES >nul
	-del *.o   >nul
	-del nt\*.o   >nul
	-del ntlm\*.o >nul
	-del *.map >nul
	-del *.bak >nul
	-del *.ini >nul
	-del *.err >nul
	-rm -f *.RES *.obj *.o nt/*.o ntlm/*.o *.map *.bak *.ini *.err core

depend	Makefile.dep:
	gcc -MM $(CFLAGS) $(SRCS) | tee Makefile.dep

include Makefile.dep

=== mkfls/nt95-msvc/Makefile ===
# Microsoft Visual C++ Makefile
# $Id: Makefile,v 2.13 2003/04/07 02:10:22 hbrew Exp $
#
# Usage: nmake [DEBUG=1] [DLLRTL=1] [BINKD9X=1]
#

!ifdef DLLRTL
RTLTYPE=D
RTLSUFFIX=-dll
!else
RTLTYPE=T
RTLSUFFIX=
!endif

!ifdef BINKD9X
BINKDEXE=  binkd9x$(RTLSUFFIX)
BINKD9X_DEFINES= -D "_WINDOWS" -D "BINKDW9X"
BINKD9X_SUBSYSTEM= windows
OUTDIRSUFFIX= -w9x
!else
BINKDEXE=  binkd$(RTLSUFFIX)
BINKD9X_DEFINES= -D"_CONSOLE"
BINKD9X_SUBSYSTEM= console
OUTDIRSUFFIX=
!endif

!ifndef DEBUG
CFLAGS=    -nologo -M$(RTLTYPE)  -W3 -GX -Ox -c
CDEBUG=
OUTDIR=    .\Release$(OUTDIRSUFFIX)$(RTLSUFFIX)
BINKDSBR=
LDEBUG=
!else
CFLAGS=    -nologo -M$(RTLTYPE)d -W3 -Gm -GX -ZI -Od -c
CDEBUG=    -D"_DEBUG"
OUTDIR=    .\Debug$(OUTDIRSUFFIX)$(RTLSUFFIX)
BINKDSBR=  -FR"$(OUTDIR)\\"
LDEBUG=    /incremental:yes /map:"$(OUTDIR)\$(BINKDEXE).map" /debug
!endif

CC=        cl
CDEFS=     $(CDEBUG) $(BINKD9X_DEFINES) -D"HTTPS" -D"WIN32" -D"HAVE_THREADS" -D"HAVE_IO_H" -D"HAVE_DOS_H" -D"VISUALCPP" -D"AMIGADOS_4D_OUTBOUND"
COPT=      $(BINKDSBR) -Fo"$(OUTDIR)\\" -Fp"$(OUTDIR)\$(BINKDEXE).pch" -YX -Fd"$(OUTDIR)\\"
LINK=      link
LFLAGS=    /nologo /machine:I386
LOPT=      $(LDEBUG) /subsystem:$(BINKD9X_SUBSYSTEM) /pdb:"$(OUTDIR)\$(BINKDEXE).pdb" /out:"$(OUTDIR)\$(BINKDEXE).exe"
LLIBS=     kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib
BSC=       bscmake
BINKDBSC=  "$(OUTDIR)\$(BINKDEXE).bsc"
BSCFLAGS=  /nologo /o$(BINKDBSC)

!ifdef BINKD9X
BINKD9X_OBJ="$(OUTDIR)\win9x.obj"
NTSERVICE_OBJ=
!else
BINKD9X_OBJ=
NTSERVICE_OBJ="$(OUTDIR)\service.obj"
!endif

NTLM_OBJS= \
 "$(OUTDIR)\des_enc.obj"  "$(OUTDIR)\helpers.obj"  "$(OUTDIR)\ecb_enc.obj" \
 "$(OUTDIR)\md4_dgst.obj" "$(OUTDIR)\set_key.obj"
NT_OBJS= \
 "$(OUTDIR)\breaksig.obj" "$(OUTDIR)\sem.obj"      "$(OUTDIR)\getfree.obj" \
 "$(OUTDIR)\TCPErr.obj"   "$(OUTDIR)\WSock.obj"    "$(OUTDIR)\dirwin32.obj"
OBJS= \
 "$(OUTDIR)\binkd.obj"    "$(OUTDIR)\readcfg.obj"  "$(OUTDIR)\tools.obj"   \
 "$(OUTDIR)\ftnaddr.obj"  "$(OUTDIR)\ftnq.obj"     "$(OUTDIR)\client.obj"  \
 "$(OUTDIR)\server.obj"   "$(OUTDIR)\protocol.obj" "$(OUTDIR)\bsy.obj"     \
 "$(OUTDIR)\inbound.obj"  "$(OUTDIR)\branch.obj"   "$(OUTDIR)\ftndom.obj"  \
 "$(OUTDIR)\ftnnode.obj"  "$(OUTDIR)\srif.obj"     "$(OUTDIR)\pmatch.obj"  \
 "$(OUTDIR)\readflo.obj"  "$(OUTDIR)\prothlp.obj"  "$(OUTDIR)\iptools.obj" \
 "$(OUTDIR)\run.obj"      "$(OUTDIR)\binlog.obj"   "$(OUTDIR)\exitproc.obj"\
 "$(OUTDIR)\getw.obj"     "$(OUTDIR)\xalloc.obj"   "$(OUTDIR)\setpttl.obj" \
 "$(OUTDIR)\https.obj"    "$(OUTDIR)\md5b.obj"     "$(OUTDIR)\crypt.obj"   \
 $(NT_OBJS) $(NTSERVICE_OBJ) $(BINKD9X_OBJ) $(NTLM_OBJS)

!ifdef DEBUG
SBRS= $(OBJS:.obj=.sbr)
BSCTARGET= $(BINKDBSC)
!endif

all:      "$(OUTDIR)" "$(OUTDIR)\$(BINKDEXE).exe" $(BSCTARGET)

"$(OUTDIR)\$(BINKDEXE).exe": "$(OUTDIR)" $(OBJS)
          $(LINK) $(LFLAGS) $(LOPT) @<<
$(LLIBS) $(OBJS)
<<

$(BINKDBSC): "$(OUTDIR)" $(SBRS)
          $(BSC) $(BSCFLAGS) @<<
$(SBRS)
<<

.c{$(OUTDIR)}.obj::
          $(CC) $(CFLAGS) $(CDEFS) $(COPT) @<<
$<
<<
{nt}.c{$(OUTDIR)}.obj::
          $(CC) $(CFLAGS) $(CDEFS) $(COPT) @<<
$<
<<
{ntlm}.c{$(OUTDIR)}.obj::
          $(CC) $(CFLAGS) $(CDEFS) $(COPT) @<<
$<
<<

.c{$(OUTDIR)}.sbr::
          $(CC) $(CFLAGS) $(CDEFS) $(COPT) @<<
$<
<<
{nt}.c{$(OUTDIR)}.sbr::
          $(CC) $(CFLAGS) $(CDEFS) $(COPT) @<<
$<
<<
{ntlm}.c{$(OUTDIR)}.sbr::
          $(CC) $(CFLAGS) $(CDEFS) $(COPT) @<<
$<
<<

"$(OUTDIR)":
          mkdir "$(OUTDIR)"

clean:
          -@del "$(OUTDIR)\*.obj"
          -@del "$(OUTDIR)\$(BINKDEXE).pch"
          -@del "$(OUTDIR)\*.sbr"
          -@del "$(OUTDIR)\*.idb"
          -@del "$(OUTDIR)\$(BINKDEXE).ilk"

distclean: clean
          -@del "$(OUTDIR)\$(BINKDEXE).exe"
          -@del "$(OUTDIR)\$(BINKDEXE).bsc"
          -@del "$(OUTDIR)\$(BINKDEXE).map"
          -@del "$(OUTDIR)\*.pdb"

!if exists("Makefile.dep")
!include "Makefile.dep"
!endif

## binkd 0.9.11

=== mkfls/dos-msc6/Makefile ===
#
CC=cl
DEFINES=-DDOS -D__MSC__ -DHAVE_IO_H -DHAVE_DOS_H -DIBMTCPIPDOS -DVOID_SLEEP -DHAVE_ARPA_INET_H -DPROTOTYPES=1 -DHTTPS -DNTLM
CFLAGS=$(DEFINES) /AL /G2 /W3 /c /nologo
LFLAGS=/AL /F 8000 /nologo

SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c ftndom.c ftnnode.c dos\getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c dos\tcperr.c dos\dirent.c dos\sleep.c xalloc.c setpttl.c md5b.c crypt.c https.c ntlm\des_enc.c ntlm\helpers.c ntlm\ecb_enc.c ntlm\md4_dgst.c ntlm\set_key.c
OBJS=$(SRCS:.c=.obj)
LIBS=/link /bat /inf socketl.lib

all: binkd.exe

.c.obj:
	@set CL=$(CFLAGS)
	$(CC) /Fo$*.obj $*.c

binkd.exe: $(OBJS)
	$(CC) $(LFLAGS) /Febinkd.exe *.obj dos\*.obj ntlm\*.obj $(LIBS)

install: all clean

clean:
	-del dos\*.obj >nul
	-del *.obj >nul

#include Makefile.dep

=== mkfls/nt95-msvc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Microsoft Visual C++ Makefile
-# $Id: Makefile,v 2.13 2003/04/07 02:10:22 hbrew Exp $
+# $Id: Makefile,v 2.13.2.1 2005/06/24 10:55:53 gul Exp $
 #
 # Usage: nmake [DEBUG=1] [DLLRTL=1] [BINKD9X=1]
 #
@@ -25,13 +25,13 @@
 !endif
 
 !ifndef DEBUG
-CFLAGS=    -nologo -M$(RTLTYPE)  -W3 -GX -Ox -c
+CFLAGS=    -nologo -M$(RTLTYPE)  -W3 -J -GX -Ox -c
 CDEBUG=
 OUTDIR=    .\Release$(OUTDIRSUFFIX)$(RTLSUFFIX)
 BINKDSBR=
 LDEBUG=
 !else
-CFLAGS=    -nologo -M$(RTLTYPE)d -W3 -Gm -GX -ZI -Od -c
+CFLAGS=    -nologo -M$(RTLTYPE)d -W3 -J -Gm -GX -ZI -Od -c
 CDEBUG=    -D"_DEBUG"
 OUTDIR=    .\Debug$(OUTDIRSUFFIX)$(RTLSUFFIX)
 BINKDSBR=  -FR"$(OUTDIR)\\"

=== mkfls/os2-emx/Makefile ===
# $Id: Makefile,v 2.9.2.1 2003/09/05 07:50:14 gul Exp $
#
CC=gcc
DEFINES=-DHAVE_FORK -DHAVE_SNPRINTF -DHAVE_UNISTD -DOS2 -DHAVE_IO_H -DHAVE_ARPA_INET_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_IOCTL_H -DHAVE_DOS_H -DEMX -DEMXSIGNALS -DHAVE_WAITPID -DHTTPS -DNTLM -DAMIGADOS_4D_OUTBOUND
CFLAGS=$(DEFINES) -Wall -Zcrtdll -funsigned-char -Wno-char-subscripts
NTLM_SRC=ntlm/des_enc.c ntlm/helpers.c ntlm/ecb_enc.c ntlm/md4_dgst.c ntlm/set_key.c
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2/gettid.c os2/sem.c  ftndom.c ftnnode.c os2/getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c run.c binlog.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c ${NTLM_SRC}
OBJS=${SRCS:.c=.o}
LFLAGS=-Zcrtdll
TARGET=binkd2e.exe

ifdef DEBUG
CFLAGS+=-DDEBUG -g
LFLAGS+=-g
else
CFLAGS+=-O2
LFLAGS+=-s
endif

all: $(TARGET)

.c.o:
	@echo Compiling $*.c
	@$(CC) -c $(CFLAGS) -o $*.o $*.c

$(TARGET): $(OBJS)
	@echo Linking $@
	@$(CC) $(LFLAGS) -o $@ $(OBJS) -lsocket

install: all clean

clean:
	-del /n *.RES *.obj *.o os2\*.o ntlm\*.o *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

depend	Makefile.dep:
	@echo Making deps...
	@gcc -MM $(CFLAGS) $(SRCS) >Makefile.dep

include Makefile.dep

=== mkfls/os2-icc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 CC=icc
-DEFINES=-DHAVE_THREADS -DOS2 -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP -DHTTPS
+DEFINES=-DHAVE_THREADS -DOS2 -DIBMC -DHAVE_IO_H -DIBMTCPIP -DVOID_SLEEP -DHTTPS -D_ReleaseSem=release_sem
 CFLAGS=$(DEFINES) /Gm+ /Q /c /Ss
 LFLAGS=$(DEFINES) /Gm+ /Q /B"/noi /pm:vio /st:64000"

=== mkfls/os2-wc/Makefile ===
# $Id: Makefile,v 2.11.2.1 2003/09/05 07:50:43 gul Exp $

.SILENT

.SUFFIXES:
.SUFFIXES: .res .rc .lst .obj .c .asm .hlp .itl .ipf .cpp

.c:  .;os2;ntlm

# To make debug version uncomment follow string or use
# "wmake DEBUG=yes" command line
#DEBUG    = yes    

CC        = wcc386 -D_Optlink=
PP        = wpp386 -D_Optlink=

AFLAGS    = /Mx -t -z
ASM       = ml /c /Zm
LFLAGS    = /zq /bm /k1024k /x
!ifeq DEBUG yes
LFLAGS    += -d3 -hw /fm=binkd.map
!endif
CFLAGS    = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_SYS_TIME_H      &
            -DHAVE_SYS_IOCTL_H -DHAVE_SNPRINTF -Dsnprintf=_bprintf  &
            -Dvsnprintf=_vbprintf -DIBMTCPIP -DVOID_SLEEP           &
            -DNTLM -DAMIGADOS_4D_OUTBOUND -DHAVE_DOS_H -DHTTPS      &
            /w4 /bm /zq 
!ifeq DEBUG yes
CFLAGS    += -d3 -hw
!else
CFLAGS    += -oxs
!endif
LINK      = wcl386
NTLM_OBJS = des_enc.obj   helpers.obj    ecb_enc.obj  md4_dgst.obj  &
            set_key.obj
OBJS      = binkd.obj     readcfg.obj    tools.obj    ftnaddr.obj   &
            ftnq.obj      client.obj     server.obj   protocol.obj  &
            bsy.obj       gettid.obj     tcperr.obj   inbound.obj   &
            sem.obj       breaksig.obj   branch.obj   ftndom.obj    &
            ftnnode.obj   getfree.obj    srif.obj     pmatch.obj    &
            readflo.obj   prothlp.obj    iptools.obj  run.obj       &
            binlog.obj    exitproc.obj   getw.obj     xalloc.obj    &
            setpttl.obj   dirent.obj     md5b.obj     crypt.obj     &
            https.obj     $(NTLM_OBJS)

.c.obj: .autodepend
	-echo Compile  $<
	$(CC) $(CFLAGS) $<

all: binkd2.exe .SYMBOLIC

before:	.SYMBOLIC
!ifeq DEBUG yes
	-echo Make binkd debug version from $(%cdrive):$(%cwd)
!else        
	-echo Make binkd release version from $(%cdrive):$(%cwd)
!endif

binkd2.exe: before $(OBJS)
	-echo Link     $@
	$(LINK) $(LFLAGS) /fe=$@ $(OBJS)

clean:  .SYMBOLIC
	-del /n *.RES *.obj os2\*.obj *.o *.map *~ *.bak *.b *.ini &
             *.err core >nul 2> nul

=== debian/changelog ===
binkd (0.9.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not fail to purge if /var/log/binkd does not exist.  (Closes: #679590)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2013 11:50:04 +0100

binkd (0.9.11-1) unstable; urgency=low

  * New upstream release, with minor bug fixes.
  * Suppress error messages from the init script when inetd.conf does
    not exist. (Closes: #628176, #661339)
  * Enabled support for NTLM proxy authentication.
  * Added support for dpkg-buildflags and enhanced hardening.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 03:27:17 +0200

binkd (0.9.9+rel-2) unstable; urgency=medium

  * Fixed FTBFS. (Closes: #492091)

 -- Marco d'Itri <md@linux.it>  Fri, 25 Jul 2008 03:32:36 +0200

binkd (0.9.9+rel-1) unstable; urgency=medium

  * New upstream release, with minor bug fixes.
  * I AM LOOKING FOR A CO-MAINTAINER!
  * Added binkdlogstat(8), contributed by Zhenja Kaluta. (Closes: #307046)
  * Fixed binkdlogstat with a patch from Pavel Vinogradov to report
    transferred files in kbytes. (Closes: #415352)
  * Use the complete path of binkd.inc in binkd.cfg. (Closes: #442207)
  * Enabled HTTPS proxy support. (Closes: #446459)
  * Do not fail if update-inetd is not installed. (Closes: #466114)
  * Merged NMUs. (Closes: #469268)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Jul 2008 19:36:44 +0200

binkd (0.9.9+20060809-1.2) unstable; urgency=low

  * Followup Non-maintainer upload to solve release goal.
  * Drop patch to include update-inetd, as the maintainer
    do not want it.  See #469268 for info.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Apr 2008 22:08:04 +0200

binkd (0.9.9+20060809-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #469268).
  * Add update-inetd as dependency.  Based on patch from Lionel
    Porcheron and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Apr 2008 19:38:16 +0200

binkd (0.9.9+20060809-1) unstable; urgency=medium

  * New upstream snapshot.
  * I AM LOOKING FOR A CO-MAINTAINER!

 -- Marco d'Itri <md@linux.it>  Fri, 25 Aug 2006 19:50:50 +0200

binkd (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * I AM LOOKING FOR A CO-MAINTAINER!

 -- Marco d'Itri <md@linux.it>  Sat,  9 Apr 2005 19:05:59 +0200

binkd (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon,  1 Dec 2003 11:04:12 +0100

binkd (0.9.5b-1) unstable; urgency=low

  * New upstream snapshot.
  * Fixed prerm and init script (Closes: #145872, #145874).

 -- Marco d'Itri <md@linux.it>  Tue,  7 Jan 2003 19:26:35 +0100

binkd (0.9.5a-4) unstable; urgency=medium

  * Fixed ftrans (Closes: #139055).

 -- Marco d'Itri <md@linux.it>  Sun, 24 Mar 2002 22:52:25 +0100

binkd (0.9.5a-3) unstable; urgency=medium

  * Fixed spelling error in description (Closes: #124454).
  * Fixed pidfile name in binkd.cfg (Closes: #130110).

 -- Marco d'Itri <md@linux.it>  Sun, 24 Feb 2002 17:22:47 +0100

binkd (0.9.5a-1) unstable; urgency=low

  * New upstream release (Closes: #103148).

 -- Marco d'Itri <md@linux.it>  Sun, 16 Sep 2001 23:18:44 +0200

binkd (0.9.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103148

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

binkd (0.9.4-2) unstable; urgency=low

  * Fix breakage in inetd-mode introduced by an old patch.

 -- Marco d'Itri <md@linux.it>  Fri, 17 Nov 2000 22:02:09 +0100

binkd (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 26 Sep 2000 18:49:33 +0200

binkd (0.9.3-4) unstable; urgency=low

  * Updated to new policy.
  * Fixed /etc/init.d/binkd.
  * Added logrotate support.

 -- Marco d'Itri <md@linux.it>  Sat,  9 Sep 2000 17:58:04 +0200

binkd (0.9.3-3) unstable; urgency=low

  * Moved to section comm.
  * Made FHS compliant.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Oct 1999 11:42:41 +0200

binkd (0.9.3-2) unstable; urgency=low

  * Fixed typo in doc-base data (closes: #42658).

 -- Marco d'Itri <md@linux.it>  Sun,  8 Aug 1999 22:04:10 +0200

binkd (0.9.3-1) unstable; urgency=low

  * Added log analyzer.
  * New upstream release.
  * Fixed init.d script (closes #41701).
  * Added HTML manual.

 -- Marco d'Itri <md@linux.it>  Sat, 31 Jul 1999 11:41:48 +0200

binkd (0.9.2-4) frozen unstable; urgency=low

  * Fixed description and priority (closes BUG#30047).
  * Fixed binkd.inc path in binkd.cfg.
  * Made /etc/init.d/binkd policy compliant.

 -- Marco d'Itri <md@linux.it>  Mon, 30 Nov 1998 20:42:51 +0100

binkd (0.9.2-3) frozen unstable; urgency=low

  * Moved to hamm/comms.
  * Corrected bug similar to Bug#20073.

 -- Marco d'Itri <md@linux.it>  Mon, 23 Mar 1998 12:50:28 -0800

binkd (0.9.2-2) frozen unstable; urgency=low

  * Compiled for glibc2.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Mar 1998 13:17:40 -0800

binkd (0.9.2-1) unstable; urgency=low

  * Now all FTN programs use static UID and GID 64000 (#15155).
  * binkd.cfg (main file) and binkd.inc (session passwords) become the only
    config files.
  * Removed my man page, now binkd comes with his one
  * New upstream release

 -- Marco d'Itri <md@linux.it>  Sun, 28 Dec 1997 01:19:19 +0100

binkd (0.9.1-1) unstable; urgency=low

  * Written a man page.
  * The original configuration file binkd.cfg is broken in:
    binkd.common.cf: the main file
    binkd.cf: used when binkd is started from the console
    binkd.in.cf: used when binkd is started as a demon or by inetd or cron
    binkd.inc: contains the session passwords
    The system administrator can also save the official nodelist as binkd.nl
  * Initial Release.

 -- Marco d'Itri <md@linux.it>  Fri, 22 Aug 1997 01:05:36 +0200

=== debian/control ===
Source: binkd
Section: comm
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1

Package: binkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, adduser
Description: FidoTech TCP/IP mailer
 Binkd is a FidoTech mailer designed for use over TCP/IP.
 .
 This program is NOT an internet mail transfer agent.
 If you don't know what it is, you don't need it.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
-include /usr/share/dpkg/buildflags.mk

D := $(CURDIR)/debian/binkd

build:
	dh_testdir
	cp mkfls/unix/install-sh mkfls/unix/configure mkfls/unix/Makefile.in .
	chmod u+x configure
	./configure --with-debug --with-https --with-ntlm
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	[ ! -e Makefile ] || $(MAKE) clean
	-rm -f install-sh configure Makefile.in \
		Makefile Makefile.dep configure.in config.log binkd build
	dh_clean

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_installdirs
	dh_installdocs todo.lst
	dh_installchangelogs \!README.FIX
	dh_installman *.8

	cp binkd.cfg binkd.inc $D/etc/binkd/
	dh_installinit
	dh_installlogrotate
	install binkd $D/usr/sbin/
	install --mode 755 debian/binkdlogstat $D/usr/sbin/

	dh_strip
	dh_compress
	dh_fixperms
	chown -R 64000:adm $D/var/log/binkd/
	chown -R 64000:64000 $D/var/spool/ftn/ $D/etc/binkd/binkd.inc
	chmod 600 $D/etc/binkd/binkd.inc
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary:	binary-arch

build-arch: build
build-indep: build

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --rename --force-download --watchfile debian/watch --destdir $(CURDIR)

.PHONY: binary binary-arch binary-indep build-arch build-indep clean get-orig-source
